---
title: CSV Fields
slug: countdownapi/ebay-product-data-api/reference/csv-fields
docTags: 
createdAt: 2024-07-29T12:49:20.015Z
---

# CSV Fields Reference

Countdown API can return data in CSV format by specifying the  `output=csv`  request parameter. When setting  `output=csv`  the  `csv_fields`  parameter determines the fields to include in the CSV result.

CSV fields should be specified as a comma seperated list of field names, with  **nested fields being expressed in dot notation** .

Here's an example of the  `csv_fields`  parameter:

`csv_fields=`
Below is a full list of all of the supported CSV Fields shown under their group.

| `Field Group`          | `Fields in Group`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ---------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `request`              | `type` `url` `page` `max_page` `epid` `gtin` `ebay_domain` `customer_location` `customer_zipcode` `condition` `sort_by` `search_term` `page` `listing_type` `sold_items` `completed_items` `authorized_sellers` `returns_accepted` `free_returns` `authenticity_verified` `deals_and_savings` `sale_items` `facets`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `product`              | `product.title` `product.epid` `product.spid` `product.link` `product.brand` `product.model_number` `product.primary_image` `product.description` `product.description_external_url` `is_auction` `auction.bids` `auction.winning_bid_price` `auction.buy_it_now` `auction.time_left.raw` `auction.end_date.raw` `auction.end_date.utc` `returns_policy.raw` `returns_policy.returns_accepted` `stock_status.raw` `stock_status.status` `stock_status.quantity_available` `stock_status.quantity_sold` `condition.raw` `condition.name` `condition.description` `condition.is_new` `condition.is_used` `offer.price` `offer.currency` `offer.end_date.raw` `offer.end_date.utc` `seller.name` `seller.link` `seller.feedback_score` `seller.positive_feedback_percent` `shipping.price` `shipping.link` `shipping.service` `shipping.ships_to` `shipping.location` `shipping.delivery_estimate` |
| `reviews`              | `reviews.id` `reviews.title` `reviews.body` `reviews.rating` `helpful_votes` `unhelpful_votes` `verified_purchase` `seller_name` `date.raw` `date.utc` `profile.name` `profile.link` `product.title` `product.link` `summary.rating` `summary.ratings_total` `summary.reviews_total`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `autocomplete_results` | `autocomplete_results.suggestion` `autocomplete_results.category_id` `autocomplete_results.category_name` `autocomplete_results.type`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| `search_results`       | `position` `title` `epid` `link` `image` `rating` `ratings_total` `hotness` `condition` `is_auction` `buy_it_now` `quantity_sold` `free_returns` `sponsored` `item_location` `ended.type` `ended.date.raw` `is_rewritten_result` `price.symbol` `price.value` `price.currency` `price.raw` `price.name`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `seller_profile`       | `name` `link` `member_since` `feedback_score` `positive_ratings_percent` `followers` `reviews` `location` `image` `description` `feedback_ratings.positive` `feedback_ratings.neutral` `feedback_ratings.negative`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `seller_feedback`      | `position` `feedback_id` `body` `date` `type` `star` `star_description` `product.title` `product.link` `product.epid` `product.price.symbol` `product.price.currency` `product.price.value` `product.price.raw`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `deals_results`        | `position` `title` `epid` `link` `image` `hotness` `price.value` `price.currency` `price.raw` `was_price.value` `was_price.currency` `was_price.raw` `pagination.current_page` `pagination.next_page`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |

